INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Base System', '/rest/system/authedUser/', 'Get', 1, 'Obtains the user details from the system in order to know what to display to the user for pages/options', 'get:system-authedUser');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Base System', '/rest/system/environment/', 'Get', 1, 'Provides the environment being accessed', 'get:system-environment');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Terms to Process', '/rest/termsToProcess/', 'Get', 1, 'Provides the current terms that are being processed', 'get:termsToProcess');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Term to Process', '/rest/termsToProcess/', 'Post', 1, 'Create a term to process', 'post:termsToProcess');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Term to Process', '/rest/termsToProcess/{campus}/{term}', 'Delete', 1, 'Remove a term from processing', 'delete:termsToProcess');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Course', '/rest/lmsCourse/{id}', 'Get', 1, 'Provides a course from the LMS by the D2L ID', 'get:lmsCourse');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Course', '/rest/lmsCourse/dev/', 'Post', 1, 'Create a development course in the LMS', 'post:lmsCourse-dev');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Course', '/rest/lmsCourse/', 'Post', 1, 'Create a course in the LMS based on a real course from MaineStreet', 'post:lmsCourse');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Course', '/rest/lmsCourse/byCode/', 'Get', 1, 'Gets a course from the LMS by the course code', 'get:lmsCourse-byCode');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Course', '/rest/lmsCourse/byCode/', 'Put', 1, 'Update a course in the LMS', 'put:lmsCourse-byCode');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Course', '/rest/lmsCourse/byCode/', 'Delete', 1, 'Delete a course in the LMS', 'delete:lmsCourse-byCode');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Courses', '/rest/courses/', 'Get', 1, 'Search for courses', 'get:courses');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Courses', '/rest/courses/defunct/', 'Get', 1, 'Search for defunct courses', 'get:courses-defunct');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Courses', '/rest/courses/stats/', 'Get', 1, 'Obtains statistics on course processing', 'get:courses-stats');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Courses', '/rest/courses/homepages/', 'Post', 1, 'Changes the homepage of all identified courses', 'post:courses-homepages');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Courses', '/rest/courses/navbars/', 'Post', 1, 'Changes the navbar of all identified courses', 'post:courses-navbars');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Course', '/rest/course/byCode/', 'Get', 1, 'Provides information from the integration about a course', 'get:course-byCode');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('University', '/rest/university/all/', 'Get', 1, 'Provides information from the integration on all universities and their master courses', 'get:university-all');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('University', '/rest/university/{id:[0-9]+}/', 'Put', 1, 'Update a university, related to their master course', 'put:university');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('College', '/rest/college/set/', 'Get', 1, 'Obtain information on a subset of colleges, including their master courses', 'get:college-set');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('College', '/rest/college/all/', 'Get', 1, 'Obtain information on all colleges, including their master courses', 'get:college-all');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('College', '/rest/college/{id:[0-9]+}/', 'Put', 1, 'Update a college, related to their master course', 'put:college');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Academic Unit', '/rest/academicUnit/set/', 'Get', 1, 'Provides information on a subset of academic units, including their master courses', 'get:academicUnit-set');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Academic Unit', '/rest/academicUnit/all/', 'Get', 1, 'Provides information on all academic units, including their master courses', 'get:academicUnit-all');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Academic Unit', '/rest/academicUnit/{id:[0-9]+}/', 'Put', 1, 'Update an academic unit, related to their master course', 'put:academicUnit');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Enrollments', '/rest/enrollments/byCode/', 'Get', 1, 'Provides the user''s enrollments by the given course code', 'get:enrollments-byCode');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Enrollments', '/rest/enrollments/system/', 'Get', 0, 'Provides the user''s system enrollments (UMS and universities)', 'get:enrollments-system');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Enrollments', '/rest/enrollments/system/', 'Put', 0, 'Updates a user''s system enrollments (UMS and universities)', 'put:enrollments-system');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Enrollments', '/rest/lmsEnrollments/byCode/', 'Get', 1, 'Get all enrollments for the given course from the LMS', 'get:lmsEnrollments-byCode');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Enrollment', '/rest/lmsEnrollment/', 'Post', 1, 'Enroll a user into an LMS course', 'post:lmsEnrollment');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS Enrollment', '/rest/lmsEnrollment/', 'Delete', 1, 'Delete a user from an LMS course', 'delete:lmsEnrollment');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Linked Course', '/rest/linkedCourse/children/', 'Get', 1, 'Provides the children courses for a parent course', 'get:linkedCourse-children');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Linked Course', '/rest/linkedCourse/{parentCode}/{childCode}/', 'Delete', 1, 'Deletes a child course from the specified parent course', 'delete:linkedCourse');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Linked Course', '/rest/linkedCourse/', 'Post', 1, 'Adds a child course to the specified parent course', 'post:linkedCourse');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Users', '/rest/users/', 'Get', 1, 'Search for users', 'get:users');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS User', '/rest/lmsUser/byEmplid/', 'Get', 1, 'Gets information from the LMS on a user', 'get:lmsUser-byEmplid');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('LMS User', '/rest/lmsUser/byEmplid/', 'Put', 1, 'Updates a user in the LMS', 'put:lmsUser-byEmplid');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Course Settings', '/rest/courseSettings/{campus}/', 'Get', 1, 'Gets information on a campus''s course settings', 'get:courseSettings');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Course Settings', '/rest/courseSettings/{campus}/', 'Put', 1, 'Updates a campus''s course settings', 'put:courseSettings');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Base System', '/', 'Get', 1, 'Access to the admin utility client and resources', 'get:index');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User Permission', '/rest/adminUserPermission/', 'Post', 1, 'Grant an admin user a permission', 'post:adminUserPermission');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User Permission', '/rest/adminUserPermission/{adminUserId:[0-9]+}/{adminPermissionId:[0-9]+}/', 'Delete', 1, 'Revoke a permission from an admin user', 'delete:adminUserPermission');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User', '/rest/adminUser/{id:[0-9]+}/', 'Get', 1, 'Get the specified admin utility user', 'get:adminUser-byId');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin Page', '/rest/adminPage/all-with-permissions/', 'Get', 1, 'Get all active admin pages with their associated permissions', 'get:adminPage-allWithPermissions');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User Page', '/rest/adminUserPage/', 'Post', 1, 'Grant an admin utility user access to a page', 'post:adminUserPage');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User Page', '/rest/adminUserPage/{adminUserId:[0-9]+}/{adminPageId:[0-9]+}/', 'Delete', 1, 'Revoke a page from an admin utility user', 'delete:adminUserPage');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User', '/rest/adminUser/all/', 'Get', 1, 'Provides information on all admin utility users', 'get:adminUser-all');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User', '/rest/adminUser/', 'Post', 1, 'Create an admin utility user', 'post:adminUser');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User', '/rest/adminUser/{id:[0-9]+}/', 'Put', 1, 'Update an admin utility user', 'put:adminUser');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Admin User', '/rest/adminUser/{id:[0-9]+}/', 'Delete', 1, 'Delete an admin utility user', 'delete:adminUser');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Base System', '/favicon.ico', 'Get', 1, 'Get favicon', 'get:favicon');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Base System', '/js/**', 'Get', 1, 'Get JavaScript files', 'get:js');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Base System', '/css/**', 'Get', 1, 'Get Cascading Style Sheet files', 'get:css');
INSERT INTO ADMIN_PERMISSION (CATEGORY, ROUTE, ACTION, IS_ACTIVE, DESCRIPTION, NAME) VALUES ('Base System', '/img/**', 'Get', 1, 'Get any image files', 'get:img');